package com.ningdatech.pmapi.todocenter.bean.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 导出选项实体类
 *
 * @author CMM
 * @since 2023/02/10 16:38
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ExportOption {
    /**
     * 导出选项
     */
    @ApiModelProperty("项目ID")
    private Boolean id;

    @ApiModelProperty("项目名称")
    private Boolean name;

    @ApiModelProperty("行政区划编码")
    private Boolean areaCode;

    @ApiModelProperty("行政区划名称")
    private Boolean area;

    @ApiModelProperty("项目负责人")
    private Boolean responsibleMan;

    @ApiModelProperty("项目负责人手机号")
    private Boolean responsibleManMobile;

    @ApiModelProperty("项目联系人")
    private Boolean contactName;

    @ApiModelProperty("项目联系人手机号")
    private Boolean contactPhone;

    @ApiModelProperty("上级业务主管单位")
    private Boolean higherSuperUnit;

    @ApiModelProperty("上级主管单位浙政钉ID")
    private Boolean higherSuperUnitCode;

    @ApiModelProperty("本级主管部门")
    private Boolean superUnit;

    @ApiModelProperty("本级主管部门浙政钉ID")
    private Boolean superUnitCode;

    @ApiModelProperty("建设单位名称")
    private Boolean constructionUnitName;

    @ApiModelProperty("建设单位浙政钉ID")
    private Boolean buildUnitZheJiangGovernmentDingId;

    @ApiModelProperty("建设单位统一信用代码")
    private Boolean buildUnitCode;

    @ApiModelProperty("项目类型")
    private Boolean projectType;

    @ApiModelProperty("是否首次新建")
    private Boolean isFirst;

    @ApiModelProperty("关联应用")
    private Boolean includeApplication;

    @ApiModelProperty("关联应用IRS编码")
    private Boolean includeApplicationIRSCode;

    @ApiModelProperty("申报金额(万元)")
    private Boolean declareAmount;

    @ApiModelProperty("批复金额")
    private Boolean approvedTotalInvestmentIncrease;

    @ApiModelProperty("预算来源")
    private Boolean budgetSource;

    @ApiModelProperty("预算年度")
    private Boolean budgetYear;

    @ApiModelProperty("项目简介")
    private Boolean projectIntroduction;

    @ApiModelProperty("立项依据")
    private Boolean buildBasis;

    @ApiModelProperty("建设层级")
    private Boolean buildLevel;

    @ApiModelProperty("发改编码")
    private Boolean developCode;

    @ApiModelProperty("财政编码")
    private Boolean financialCode;

    @ApiModelProperty("信息是否有效")
    private Boolean informationValidity;

    @ApiModelProperty("是否数字化改革项目")
    private Boolean isDigitalReform;

    @ApiModelProperty("综合应用领域")
    private Boolean bizDomain;

    @ApiModelProperty("是否上云")
    private Boolean isCloud;

    @ApiModelProperty("云类型")
    private Boolean cloudType;

    @ApiModelProperty("四大体系")
    private Boolean fourSystems;

    @ApiModelProperty("是否临时增补")
    private Boolean isTemporaryAugment;

    @ApiModelProperty("等保级别")
    private Boolean protectionLevel;

    @ApiModelProperty("是否密评 0:否 1:是")
    private Boolean isSecretComments;

    @ApiModelProperty("业务编号")
    private Boolean businessNumber;

    @ApiModelProperty("业务名称")
    private Boolean businessName;

    @ApiModelProperty("单位名称")
    private Boolean unitName;

    @ApiModelProperty("软件开发(万元)")
    private Boolean softwareDevelopmentAmount;

    @ApiModelProperty("云资源、硬件购置(万元)")
    private Boolean cloudHardwarePurchaseAmount;

    @ApiModelProperty("第三方服务(万元)")
    private Boolean thirdPartyAmount;

    @ApiModelProperty("投入项")
    private Boolean safetyInputTitle;

    @ApiModelProperty("内容描述")
    private Boolean safetyInputDescribe;

    @ApiModelProperty("金额(万元)")
    private Boolean safetyInputAmount;

    @ApiModelProperty("年度支付金额(万元)")
    private Boolean annualPlanAmount;

    @ApiModelProperty("自有资金(万元)")
    private Boolean annualPlanHaveAmount;

    @ApiModelProperty("政府投资-本级财政资金(万元)")
    private Boolean declareGovernmentOwnFinanceAmount;

    @ApiModelProperty("政府投资-上级补助资金(万元)")
    private Boolean declareGovernmentSuperiorFinanceAmount;

    @ApiModelProperty("银行贷款(万元)")
    private Boolean declareBankLendingAmount;

    @ApiModelProperty("其它资金(万元)")
    private Boolean declareOtherAmount;

    @ApiModelProperty("第一季度")
    private Boolean engineeringSpeedOne;

    @ApiModelProperty("第二季度")
    private Boolean engineeringSpeedTwo;

    @ApiModelProperty("第三季度")
    private Boolean engineeringSpeedThree;

    @ApiModelProperty("第四季度")
    private Boolean engineeringSpeedFour;

    @ApiModelProperty("初步方案")
    private Boolean preliminaryPlanFile;

    @ApiModelProperty("附件-佐证材料")
    private Boolean supportingMaterialsFile;

    @ApiModelProperty("备注")
    private Boolean projectRemarks;
}
